Pydev ontbreekt na het upgraden van Eclipse op FreeBSD

Ik heb recentelijk mijn poorten op mijn FreeBSD 9.0-release-machine bijgewerkt en ik denk dat de eclipse is geüpgraded vanwege een poort-upstream geforceerde Eclipse die moet worden herbouwd. Nu is Pydev weg. Ik heb geprobeerd de installatie van Eclipse ongedaan te maken en opnieuw te installeren en vervolgens Pydev te installeren met behulp van pydev.org/updates binnen Eclipse. Het lijkt goed te installeren, maar ik kan geen Pydev-project maken of de Pydev-weergave gebruiken. Ik heb geprobeerd om de map ~/.eclipse te verwijderen om het maken van een nieuwe te forceren en het opnieuw installeren van Eclipse en Pydev zonder succes. Wat doe ik verkeerd? Ik gebruik de build id van Eclipse Indigo versie 3.7.1: R3_7_1

This question was most similar to mine, but the solution didn't work for me. I also tried pointing my install site as: http://update-production-pydev.s3.amazonaws.com/pydev/updates/site.xml per another question on StackOverflow, to no avail.

1

2 antwoord

Na wat meer testen kreeg ik eindelijk de nieuwste FreeBSD-poort om te werken. Ik moest de plug-ins als root starten en installeren. Het werkte niet een andere keer dat ik het heb uitgevoerd, maar deze geweldige probleemoplossing document heeft geholpen. Ik ging methodisch elke stap een voor een door en de logboeken gaven aan dat er een fout was opgetreden in mijn/usr/local/lib-bestand dat het probeerde te unzippen. Mijn gebruiker heeft geen schrijftoegang tot die map maar root wel. Ik weet niet waarom het niet de laatste keer dat ik het als root deed, niet werkte, misschien heb ik de plug-in niet als root geïnstalleerd. Het werkt nu, dus ik ben gelukkig. Bedankt Fabio, voor uw inbreng.

1
toegevoegd

Ik weet niet zeker hoe FreeBSD dingen verpakt, dus misschien zou een eenvoudige oplossing Eclipse van Eclipse.org kunnen zijn en PyDev op die nieuwe installatie installeren (of als je ook webdingen doet, zou ik voorstellen om Aptana Studio te grijpen 3, die wordt geleverd met PyDev vooraf geïnstalleerd, dus u hoeft zich geen zorgen te maken over de configuratie ervan).

Zie: http://pydev.org/download.html voor meer informatie

0
toegevoegd
Ik gebruikte het FreeBSD Ports-systeem , die rechtstreeks uit de bron wordt gecompileerd. Ik denk dat een upgrade van een bibliotheek of een binair bestand waarvan de eclips afhankelijk is, het mogelijk heeft verbroken. Het rare is dat pydev correct lijkt te installeren, maar ik zie het niet op het tabblad Plug-ins op de pagina met geïnstalleerde software. Misschien moet ik overstappen naar een andere IDE, net zo min als het me doet. :(
toegevoegd de auteur user352472, de bron